OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::URL::DownloadTask::Listener Struct Referenceabstract

`#include <juce_URL.h>`

## Public Member Functions
virtual void | finished (URL::DownloadTask *task, bool success)=0
virtual void | progress (URL::DownloadTask *task, int64 bytesDownloaded, int64 totalLength)

## Detailed Description

Used to receive callbacks for download progress

Definition at line 368 of file juce_URL.h.

## Constructor & Destructor Documentation

## ◆ ~Listener()

juce::URL::DownloadTask::Listener::~Listener | ( |  | ) |
| virtual

Definition at line 110 of file juce_URL.cpp.

## Member Function Documentation

## ◆ finished()

virtual void juce::URL::DownloadTask::Listener::finished | ( | URL::DownloadTask * | task,
|  | bool | success
| ) |  |
| pure virtual

Called when the download has finished. Be aware that this callback may come on an arbitrary thread.

## ◆ progress()

void juce::URL::DownloadTask::Listener::progress | ( | URL::DownloadTask * | task,
|  | int64 | bytesDownloaded,
|  | int64 | totalLength
| ) |  |
| virtual

Called periodically by the OS to indicate download progress. Beware that this callback may come on an arbitrary thread.

Definition at line 109 of file juce_URL.cpp.

The documentation for this struct was generated from the following files:

- juce_URL.h
- juce_URL.cpp